de.esprit.common.type

## Enum JavaTechnology

- java.lang.Object
- - java.lang.Enum<JavaTechnology>
  - - de.esprit.common.type.JavaTechnology

- All Implemented Interfaces:
    PersistentName, java.io.Serializable, java.lang.Comparable<JavaTechnology>

      public enum JavaTechnology
      extends java.lang.Enum<JavaTechnology>
      implements PersistentName

  This class defines the java runtime technology.
  Author:
    Rainer Buesch

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `JAVA3`
    `JAVA4`
    `JAVA5`
    `JAVA6`
    `JAVA7`
    `JAVA8`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JavaTechnology` | `fromPersistentName(java.lang.String code)`
    `static JavaTechnology` | `fromVersionString(java.lang.String versionStr)`
    `static JavaTechnology` | `getCurrentTechnology()`
    `java.lang.String` | `getJavaTechnologyName()`
    `java.lang.String` | `getPersistentName()` Returns the String value to be stored in the database or file.
    `java.lang.String` | `getVersionString()`
    `static JavaTechnology` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static JavaTechnology[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### JAVA3

          public static final JavaTechnology JAVA3

    - #### JAVA4

          public static final JavaTechnology JAVA4

    - #### JAVA5

          public static final JavaTechnology JAVA5

    - #### JAVA6

          public static final JavaTechnology JAVA6

    - #### JAVA7

          public static final JavaTechnology JAVA7

    - #### JAVA8

          public static final JavaTechnology JAVA8

  - ### Method Detail

    - #### values

          public static JavaTechnology[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (JavaTechnology c : JavaTechnology.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static JavaTechnology valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getJavaTechnologyName

          public java.lang.String getJavaTechnologyName()

    - #### getVersionString

          public java.lang.String getVersionString()

    - #### getPersistentName

          public java.lang.String getPersistentName()

      Description copied from interface: `PersistentName`
      Returns the String value to be stored in the database or file. Note that the implementing Enum must also have a static method named fromPersistentName(String). This ensures that the Enum can be instantiated from the String read from database or file.
      Specified by:
        `getPersistentName` in interface `PersistentName`

    - #### getCurrentTechnology

          public static JavaTechnology getCurrentTechnology()

    - #### fromVersionString

          public static JavaTechnology fromVersionString(java.lang.String versionStr)

    - #### fromPersistentName

          public static JavaTechnology fromPersistentName(java.lang.String code)

Copyright © 2014 EsprIT-Systems. All Rights Reserved.